Subject: Re: [PATCH v4] Teach git to change to a given directory using -C option

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Sep 2013 10:13:51 -0700

Nazri Ramliy <[email-masked]> writes:

> Now I'm noticing that you've already made the above fixes in next ;)

Yes.  I said I'd locally tweak and queue, didn't I?

>>> +test_expect_success '"git -C <path>" runs git from the directory <path>' '
>>> +     test_create_repo dir1 &&
>>> +     echo 1 >dir1/a.txt &&
>>> +     (cd dir1 && git add a.txt && git commit -m "initial in dir1") &&
>>
>> Curious why this does not use -C here.
>
> It didn't use -C there because it's in the "prepare the expected test
> output" stage and we want that to succeed, whether -C works or not - we
> haven't reached the part where we are actually testing the -C option,

Good thinking.

Will queue as an incremental update on top of what is already in 'next'.

Thanks.